{% extends 'property_vacancy_management/property_vacancy_report/overview.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/property_vacancy_report/processed_overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/property_vacancy_report/processed_overview') }}
{% endblock %}

{% block main %}
    <div class="mt-4 container-lg">
        {% if propertyVacancyReports is empty %}
            <div class="mdc-card p-4 mb-4">
                <p>Derzeit liegen keine bearbeiteten Leerstandsmeldungen vor.</p>
            </div>
        {% else %}
            <div class="row g-3">
                {% for propertyVacancyReport in propertyVacancyReports %}
                    <div class="col-sm-6 col-md-4 col-lg-4 col-xl-3 mb-4">
                        {% include 'property_vacancy_management/component/property_vacancy_report/property_vacancy_report_card.html.twig' with {'propertyVacancyReport': propertyVacancyReport} only %}
                    </div>
                {% endfor %}
            </div>
        {% endif %}
    </div>
{% endblock %}
